Update Ai Ticket Desk Settings
import requests
url = "https://platform.ankra.app/api/v1/org/ai-tickets/settings"
payload = {
"slack_channel_id": "<string>",
"teams_conversation_id": "<string>",
"reviewer_agent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"require_agent_review": True,
"auto_file_insight_severities": ["<string>"],
"notify_mode": "<string>",
"notify_min_priority": "<string>",
"notify_source_kinds": ["<string>"],
"notify_event_scope": "<string>",
"notify_cluster_environments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slack_channel_id: '<string>',
teams_conversation_id: '<string>',
reviewer_agent_task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
require_agent_review: true,
auto_file_insight_severities: ['<string>'],
notify_mode: '<string>',
notify_min_priority: '<string>',
notify_source_kinds: ['<string>'],
notify_event_scope: '<string>',
notify_cluster_environments: ['<string>']
})
};
fetch('https://platform.ankra.app/api/v1/org/ai-tickets/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-tickets/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slack_channel_id": "<string>",
"teams_conversation_id": "<string>",
"reviewer_agent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"require_agent_review": true,
"auto_file_insight_severities": [
"<string>"
],
"notify_mode": "<string>",
"notify_min_priority": "<string>",
"notify_source_kinds": [
"<string>"
],
"notify_event_scope": "<string>",
"notify_cluster_environments": [
"<string>"
]
}
'{
"slack_channel_id": "<string>",
"teams_conversation_id": "<string>",
"reviewer_agent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"require_agent_review": true,
"auto_file_insight_severities": [
"<string>"
],
"notify_mode": "<string>",
"notify_min_priority": "<string>",
"notify_source_kinds": [
"<string>"
],
"notify_event_scope": "<string>",
"notify_cluster_environments": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Tickets
Update Ai Ticket Desk Settings
PUT
/
api
/
v1
/
org
/
ai-tickets
/
settings
Update Ai Ticket Desk Settings
import requests
url = "https://platform.ankra.app/api/v1/org/ai-tickets/settings"
payload = {
"slack_channel_id": "<string>",
"teams_conversation_id": "<string>",
"reviewer_agent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"require_agent_review": True,
"auto_file_insight_severities": ["<string>"],
"notify_mode": "<string>",
"notify_min_priority": "<string>",
"notify_source_kinds": ["<string>"],
"notify_event_scope": "<string>",
"notify_cluster_environments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slack_channel_id: '<string>',
teams_conversation_id: '<string>',
reviewer_agent_task_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
require_agent_review: true,
auto_file_insight_severities: ['<string>'],
notify_mode: '<string>',
notify_min_priority: '<string>',
notify_source_kinds: ['<string>'],
notify_event_scope: '<string>',
notify_cluster_environments: ['<string>']
})
};
fetch('https://platform.ankra.app/api/v1/org/ai-tickets/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-tickets/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slack_channel_id": "<string>",
"teams_conversation_id": "<string>",
"reviewer_agent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"require_agent_review": true,
"auto_file_insight_severities": [
"<string>"
],
"notify_mode": "<string>",
"notify_min_priority": "<string>",
"notify_source_kinds": [
"<string>"
],
"notify_event_scope": "<string>",
"notify_cluster_environments": [
"<string>"
]
}
'{
"slack_channel_id": "<string>",
"teams_conversation_id": "<string>",
"reviewer_agent_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"require_agent_review": true,
"auto_file_insight_severities": [
"<string>"
],
"notify_mode": "<string>",
"notify_min_priority": "<string>",
"notify_source_kinds": [
"<string>"
],
"notify_event_scope": "<string>",
"notify_cluster_environments": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response